Subject: bug#23783: Emacs 25: Changing font-lock-maximum-decoration doesn't work.

From: Eli Zaretskii <[email-masked]>
Date: Sat, 18 Jun 2016 20:37:32 +0300

> Date: Sat, 18 Jun 2016 17:19:03 +0000
> Cc: [email-masked]
> From: Alan Mackenzie <[email-masked]>
> 
> > I think this fixes this bug, so I'm closing it.
> 
> OK.  I'll think about trying to fix the code in the near future.

I don't think we should change anything in the code, so maybe you
shouldn't try.

In general, I find that lately we make too frequently the mistake of
messing with low-level infrastructure for some marginal improvement,
and then have to invest/waste lots of time and releases to deal with
the fallout of unintended consequences, broken use cases, etc.  I
intend to object to such changes in the future.  This seems just such
a case: a minor annoyance whose "fixing" runs a very real risk of
breaking a lot of important functionalities.